PDA

View Full Version : PhotoPost 5.12 Security Update posted!


Michael P
June 27th, 2005, 12:30 PM
==================
VERSION UPDATE: 5.12
==================

5.12 is a security update following a security audit by an independent third-party security company. Having checked virtually every line of code, the audit revealed some potentials for vulnerabilities which go back to the 4.8 release of PhotoPost. It is not our policy to detail these vulnerabilities as it can effect many users who are running older versions of the software and who need time to upgrade. Many of the issues were mitigated by the 5.11 release, but the 5.12 release is the official security update.

Anyone who is running a prior version of PhotoPost (especially anyone running 4.8 or later) is strongly encouraged to upgrade to 5.12.

If you are upgrading from 5.11, files changed from that version are:

/*.php (except config-inc.php, config-int.php, inc_features.php, inc_photopost.php, install.php and upgrade.php)

/templates/showgallery.tmpl

/forums/*.php (you only need your integration file)

languages/dutch.php (new language added)

You only need upload the updated scripts, there is no upgrade script required for this upgrade.

If you are upgrading from a version prior to 5.11, you will need to run the upgrade.php script and follow normal upgrade procedures.